Main Page Widgets Namespaces Book

# Gtk::TargetEntry Class Reference

List of all members.

## Public Member Functions

| TargetEntry ()
| TargetEntry (const Glib::ustring& target, Gtk::TargetFlags flags=Gtk::TargetFlags(0), guint info=0)
| TargetEntry (const GtkTargetEntry& gobject)
| TargetEntry (const TargetEntry& src)
virtual | ~TargetEntry ()
TargetEntry& | operator= (const TargetEntry& src)
Glib::ustring | get_target () const
void | set_target (const Glib::ustring& target)
Gtk::TargetFlags | get_flags () const
void | set_flags (Gtk::TargetFlags flags)
guint | get_info () const
void | set_info (guint info)
GtkTargetEntry* | gobj ()
const GtkTargetEntry* | gobj () const

## Protected Attributes

GtkTargetEntry | gobject_

## Constructor & Destructor Documentation

Gtk::TargetEntry::TargetEntry | ( |  | ) |

Gtk::TargetEntry::TargetEntry | ( | const Glib::ustring& | target,
|  | Gtk::TargetFlags | flags = `Gtk::TargetFlags(0)`,
|  | guint | info = `0`
| ) | `[explicit]`

Gtk::TargetEntry::TargetEntry | ( | const GtkTargetEntry& | gobject | ) | `[explicit]`

Gtk::TargetEntry::TargetEntry | ( | const TargetEntry& | src | ) |

virtual Gtk::TargetEntry::~TargetEntry | ( |  | ) | `[virtual]`

## Member Function Documentation

Gtk::TargetFlags Gtk::TargetEntry::get_flags | ( |  | ) | const

guint Gtk::TargetEntry::get_info | ( |  | ) | const

Glib::ustring Gtk::TargetEntry::get_target | ( |  | ) | const

const GtkTargetEntry* Gtk::TargetEntry::gobj | ( |  | ) | const

GtkTargetEntry* Gtk::TargetEntry::gobj | ( |  | ) |

TargetEntry& Gtk::TargetEntry::operator= | ( | const TargetEntry& | src | ) |

void Gtk::TargetEntry::set_flags | ( | Gtk::TargetFlags | flags | ) |

void Gtk::TargetEntry::set_info | ( | guint | info | ) |

void Gtk::TargetEntry::set_target | ( | const Glib::ustring& | target | ) |

## Member Data Documentation

GtkTargetEntry Gtk::TargetEntry::gobject_`[protected]`

The documentation for this class was generated from the following file:

- targetentry.h